GDCM: gdcm::Global Class Reference

GDCM 3.2.5

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
gdcm::Global Class Reference

Global. More...

`#include <gdcmGlobal.h>`

## Public Member Functions
| Global ()
| Global (const Global &_val)=delete
| ~Global ()
bool | Append (const char *path)
Defs const & | GetDefs () const
Dicts & | GetDicts ()
Dicts const & | GetDicts () const
bool | LoadResourcesFiles ()
Global & | operator= (const Global &_val)=delete
bool | Prepend (const char *path)

## Static Public Member Functions
static Global & | GetInstance ()
| return the singleton instance

## Protected Member Functions
const char * | Locate (const char *resfile) const
| Locate a resource file.

## Friends
std::ostream & | operator<< (std::ostream &_os, const Global &g)

## Detailed Description

Global.

Note
  Global should be included in any translation unit that will use Dict or that implements the singleton pattern. It makes sure that the Dict singleton is created before and destroyed after all other singletons in GDCM.

Examples
  BasicAnonymizer.cs, Cleaner.cs, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenerateStandardSOPClasses.cxx, PublicDict.cxx, ReadAndPrintAttributes.cxx, and TraverseModules.cxx.

## Constructor & Destructor Documentation

## ◆ Global() [1/2]

gdcm::Global::Global | ( |  | ) |

Referenced by Global(), GetInstance(), operator<<, and operator=().

## ◆ ~Global()

gdcm::Global::~Global | ( |  | ) |

## ◆ Global() [2/2]

gdcm::Global::Global | ( | const Global & | _val | ) |
| delete

References Global().

## Member Function Documentation

## ◆ Append()

bool gdcm::Global::Append | ( | const char * | path | ) |

Append path at the end of the path list

Warning
  not thread safe !

## ◆ GetDefs()

Defs const & gdcm::Global::GetDefs | ( |  | ) | const

retrieve the default/internal (Part 3) You need to explicitly call LoadResourcesFiles before

Examples
  GenerateStandardSOPClasses.cxx, and TraverseModules.cxx.

## ◆ GetDicts() [1/2]

Dicts & gdcm::Global::GetDicts | ( |  | ) |

## ◆ GetDicts() [2/2]

Dicts const & gdcm::Global::GetDicts | ( |  | ) | const

retrieve the default/internal dicts (Part 6) This dict is filled up at load time

Examples
  GenAllVR.cxx, GenFakeIdentifyFile.cxx, MrProtocol.cxx, PublicDict.cxx, ReadAndPrintAttributes.cxx, and TraverseModules.cxx.

## ◆ GetInstance()

Global & gdcm::Global::GetInstance | ( |  | ) |
| static

return the singleton instance

Examples
  BasicAnonymizer.cs, Cleaner.cs, GenAllVR.cxx, GenFakeIdentifyFile.cxx, GenerateStandardSOPClasses.cxx, MrProtocol.cxx, PublicDict.cxx, ReadAndPrintAttributes.cxx, and TraverseModules.cxx.

References Global().

## ◆ LoadResourcesFiles()

bool gdcm::Global::LoadResourcesFiles | ( |  | ) |

Load all internal XML files, resource path need to have been set before calling this member function (see Append/Prepend members func)

Warning
  not thread safe !

Examples
  BasicAnonymizer.cs, Cleaner.cs, ClinicalTrialIdentificationWorkflow.cs, GenerateStandardSOPClasses.cxx, and TraverseModules.cxx.

## ◆ Locate()

const char * gdcm::Global::Locate | ( | const char * | resfile | ) | const
| protected

Locate a resource file.

## ◆ operator=()

Global & gdcm::Global::operator= | ( | const Global & | _val | ) |
| delete

References Global().

## ◆ Prepend()

bool gdcm::Global::Prepend | ( | const char * | path | ) |

Prepend path at the beginning of the path list

Warning
  not thread safe !

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const Global & | g )
| friend

References Global().

The documentation for this class was generated from the following file:

- gdcmGlobal.h